> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindgard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Finding



## OpenAPI

````yaml https://demo.us.mindgard.ai/api/openapi.json post /v1/beta/projects/{project_id}/findings/create
openapi: 3.1.0
info:
  title: Mindgard Public API
  description: This is the public API for Mindgard.
  version: 1.0.0
  contact:
    name: Mindgard Support
    email: support@mindgard.ai
servers:
  - url: https://demo.us.mindgard.ai/api
security:
  - BearerAuth: []
tags:
  - name: Projects
    x-displayName: Projects
  - name: Tests
    x-displayName: Tests
  - name: Findings
    x-displayName: Findings
  - name: Datasets
    x-displayName: Datasets
  - name: Multi-Turn Tests
    x-displayName: Multi-Turn Tests
  - name: Reconnaissance
    x-displayName: Reconnaissance
paths:
  /v1/beta/projects/{project_id}/findings/create:
    post:
      tags:
        - Findings
      summary: Create a Finding
      operationId: FindingsServicePublic_CreateFindingPublic
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1FindingCreate'
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1CreateFindingResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
      security:
        - BearerAuth: []
components:
  schemas:
    v1FindingCreate:
      type: object
      properties:
        title:
          type: string
        rationale:
          type: string
        data:
          type: object
          title: JSON
      title: Message for creating a finding
      required:
        - title
    v1CreateFindingResponse:
      type: object
      properties:
        finding_id:
          type: string
          readOnly: true
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````